> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Recipient

> Validate a financial institution code.



## OpenAPI

````yaml POST /v1/recipients/validate
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients/validate:
    post:
      tags:
        - Recipient Endpoints
      summary: Validate Recipient
      description: Validate a financial institution code.
      operationId: validateRecipient
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                accountNumber:
                  type: string
                  example: '233544444444'
                code:
                  type: string
                  example: gh_mtn
            example:
              accountNumber: '233544444444'
              code: gh_mtn
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountName:
                    type: string
                    example: Maijid Moujaled
                  accountNumber:
                    type: string
                    example: '233544444444'
                  bankName:
                    type: string
                    example: MTN Mobile Money
                  code:
                    type: string
                    example: gh_mtn
                  valid:
                    type: boolean
                    example: true
              examples:
                Success Response:
                  value:
                    accountName: Maijid Moujaled
                    accountNumber: '233544444444'
                    bankName: MTN Mobile Money
                    code: gh_mtn
                    valid: true
        '400':
          description: Error Response - Invalid Account
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: invalid_account
                  message:
                    type: string
                    example: Account not found or invalid
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Invalid Account:
                  value:
                    error: invalid_account
                    message: Account not found or invalid
                    statusCode: 400

````